#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="4.4.20"
SHA1SUM="ddf1b2c21922b63923b6e13f469d517568e39106"
#URL="http://download.oracle.com/berkeley-db"
URL="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain zlib"
##################################################

download_bz2 db &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/db-${VERSION}.tar.bz2 &&
cd db-${VERSION} &&

patch_src db &&

sed -e 's/-O2/-Os/g' -i dist/configure &&
cd build_unix &&
CC="${CC} -Os -fPIC" ../dist/configure --host=${BOARDTARGET} --prefix=/ --bindir=/bin --sbindir=/sbin --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var --libdir=/lib --includedir=/usr/include --infodir=/usr/share/info --mandir=/usr/share/man --with-pic --disable-largefile --disable-nls --disable-static --enable-shared --disable-cryptography --disable-hash --disable-queue --disable-replication --disable-statistics --disable-verify  --enable-smallbuild --enable-compat185 --disable-cxx &&

make &&

make DESTDIR=${INSTALLDIR} docdir=/usr/share/doc/db-4.4.20 install &&
mv -v ${INSTALLDIR}/lib/libdb-4.4.la ${INSTALLDIR}/usr/lib &&
mv -vf ${INSTALLDIR}/bin/db_* ${INSTALLDIR}/usr/bin &&

cd ${BUILDDIR} &&
rm -rf db-${VERSION}

