#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="s20071127"
SHA1SUM="56c8b6c5999b96f47f5b3b37dcf014a33cc7cb22"
URL="http://www.skbuff.net/iputils"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 iputils &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/iputils-${VERSION}.tar.bz2 &&
cd iputils-${VERSION} &&

patch_src iputils &&

make LIBC_INCLUDE=${INSTALLDIR}/usr/include CC=${CC} CCOPT="-D_GNU_SOURCE -Os -Wstrict-prototypes -Wall -g -fPIC" IPV4_TARGETS="tracepath ping clockdiff arping" &&
install -v -m 755 tracepath{,6} traceroute6 clockdiff ping{,6} arping  ${INSTALLDIR}/bin &&

cd ${BUILDDIR} &&
rm -rf iputils-${VERSION}

