#!/bin/bash

# Thanks to Thomas Staub for providing this buildscript

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="0.5.6"
SHA1SUM="d26051423868f33e75d8d79adc539cbfddb40574"
URL="http://www.olsr.org/releases/0.5/"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 olsrd &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/olsrd-${VERSION}.tar.bz2 &&
cd olsrd-${VERSION} &&

patch_src olsrd &&

make CC="${CC} -Os -fPIC" OS=linux &&

# Install binary
install -v -m755 olsrd ${INSTALLDIR}/sbin &&

# Install config
# The next line is not wrong, but has no effect on the image
#install -v -m644 files/olsrd.conf.default.lq ${INSTALLDIR}/etc/olsrd.conf &&
# At the moment this is done only in a static manner: check in a reasonable olsrd.conf in config/common/etc/olsrd.conf
# If you need differeent for different nodetypes use config/<nodetype>/etc/olsrd.conf
# I did check in the olsrd.conf you sent me, Thomas :) 

# For supporting the above line we would need a dynamic set of configfiles which makes it much trickier to generate config-images.
# At the moment some unused configfiles don't matter, as they are small, even if the software isn't installed.
# Example with another package: you have a hostapd.conf wheter you build hostapd or not. 
# Another advantage of this static case is that we have full control over all config files.

# Install man pages
# they will never appear on the node, thats why they go to ${INSTALLDIR}/usr 
zcat files/olsrd.8.gz > ${INSTALLDIR}/usr/share/man/man8/olsrd.8 &&
zcat files/olsrd.conf.5.gz > ${INSTALLDIR}/usr/share/man/man5/olsrd.conf.5 &&

cd ${BUILDDIR} &&
rm -rf olsrd-${VERSION}

