#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="0.9.8i"
SHA1SUM="b2e029cfb68bf32eae997d60317a40945db5a65f" #openssl-0.9.8i.tar.gz
#this is 0.9.8h SHA1SUM="161a236909be07ad8d0a3aaadcd4c9f1c384a114"
URL="http://openssl.org/source"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain zlib"
##################################################

download_gz openssl &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/openssl-${VERSION}.tar.gz &&
cd openssl-${VERSION} &&

patch_src openssl &&

./Configure linux-embedded-${BOARDARCH} --prefix=/ --openssldir=/etc/ssl no-idea no-md2 no-mdc2 no-rc2 no-rc5 no-sha0 no-smime no-rmd160 no-aes192 no-ripemd no-camellia no-ans1 no-krb5 no-ec no-err no-fips no-hw shared zlib-dynamic no-engines no-sse2 no-perlasm &&

make CC="${CC} -Os" depend &&
make CC="${CC} -Os" MANDIR=/usr/share/man &&
make CC="${CC} -Os" MANDIR=/usr/share/man INSTALL_PREFIX="${INSTALLDIR}/" INSTALLTOP="/" install &&

mv -v ${INSTALLDIR}/lib/{libcrypto,libssl}.a ${INSTALLDIR}/usr/lib &&
cp -avf ${INSTALLDIR}/lib/engines ${INSTALLDIR}/usr/lib &&
rm -rf ${INSTALLDIR}/lib/engines &&
cp -av ${INSTALLDIR}/lib/pkgconfig ${INSTALLDIR}/usr/lib &&
rm -rf ${INSTALLDIR}/lib/pkgconfig &&
cp -av ${INSTALLDIR}/include/openssl ${INSTALLDIR}/usr/include &&
rm -rf ${INSTALLDIR}/include &&

cd ${BUILDDIR} &&
rm -rf openssl-${VERSION}

