#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="5.2.6"
SHA1SUM="2a2b1afa657a7739a23784c869d57c3e0a7ad6b4"
URL="http://ch.php.net/distributions"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain zlib openssl curl"
##################################################

download_bz2 php &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/php-${VERSION}.tar.bz2 &&
cd php-${VERSION} &&

patch_src php &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig"  CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --disable-static --enable-shared --with-pic --enable-ipv6 --disable-all --with-openssl --with-curl=${INSTALLDIR}/usr --with-zlib --enable-safe-mode --with-config-file-path=/etc/php.ini &&

make &&

make INSTALL_ROOT=${INSTALLDIR} install &&
mkdir -v ${INSTALLDIR}/usr/lib/php &&
mv -v ${INSTALLDIR}/lib/build ${INSTALLDIR}/usr/lib/php &&

cd ${BUILDDIR} &&
rm -rf php-${VERSION}

