#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

MADWIFIVERSION=`grep ^VERSION= ${BUILDDIR}/buildscripts/packages/madwifi.sh | sed -e 's|VERSION="||' -e 's|"||'`

VERSION="0.6.4"
SHA1SUM="fc7e61b3cc7bdd66ed4a56ef738c17738945b020"
URL="http://hostap.epitest.fi/releases"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain openssl madwifi"
##################################################

download_bz2 wpa_supplicant &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/wpa_supplicant-${VERSION}.tar.bz2 &&
cd wpa_supplicant-${VERSION} &&

patch_src wpa_supplicant &&

cd wpa_supplicant &&

cat defconfig | sed 's|#CFLAGS += -I/usr/local/openssl/include|CFLAGS += -I${INSTALLDIR}/usr/include/openssl|'  > .config &&
sed -e 's|#LIBS += -L/usr/local/openssl/lib|LIBS += -L${INSTALLDIR}/lib|' -i .config &&
sed -e 's|#LIBS = -lssl|LIBS = -lssl|' -i .config &&
sed -e 's|CONFIG_DRIVER_HOSTAP=y|#CONFIG_DRIVER_HOSTAP=y|' -i .config &&
sed -e 's|#CONFIG_DRIVER_MADWIFI=y|CONFIG_DRIVER_MADWIFI=y|' -i .config &&
sed -e 's|#CFLAGS += -I../madwifi/wpa|CFLAGS += -I${BUILDDIR}/madwifi-'${MADWIFIVERSION}'|' -i .config &&
sed -e 's|CONFIG_DRIVER_ATMEL=y|#CONFIG_DRIVER_ATMEL=y|' -i .config &&
sed -e 's|CONFIG_SMARTCARD=y|#CONFIG_SMARTCARD=y|' -i .config &&
sed -e 's|-O2|-Os|g' -i Makefile &&

make CC="${CC} -Os -fPIC" &&

install -v -m755 wpa_supplicant wpa_passphrase wpa_cli ${INSTALLDIR}/sbin &&

cd ${BUILDDIR} &&
rm -rf wpa_supplicant-${VERSION}

