#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION=`grep ^VERSION= ${BUILDDIR}/buildscripts/toolchain/cross-gcc.sh | sed -e 's|VERSION="||' -e 's|"||'`
SHA1SUM=`grep ^SHA1SUM= ${BUILDDIR}/buildscripts/toolchain/cross-gcc.sh | sed -e 's|SHA1SUM="||' -e 's|"||'`
URL="http://ftp.gnu.org/gnu/gcc/gcc-${VERSION}"
#URL=`grep ^URL= ${BUILDDIR}/buildscripts/toolchain/cross-gcc.sh | sed -e 's|URL="||' -e 's|"||'`
FALLBACK=`grep ^FALLBACK= ${BUILDDIR}/buildscripts/toolchain/cross-gcc.sh | sed -e 's|FALLBACK="||' -e 's|"||'`
##################################################

download_bz2 gcc &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/gcc-${VERSION}.tar.bz2 &&
cd gcc-${VERSION} &&

patch_src gcc &&

mkdir -v ../gcc-build &&
cd ../gcc-build &&
../gcc-${VERSION}/configure --prefix=${INSTALLDIR}/cross-tools --target=${CROSS_TARGET} --disable-multilib --with-sysroot=${INSTALLDIR} --disable-nls --disable-shared --disable-threads --enable-languages=c --enable-libssp &&
make all-gcc &&
make install-gcc &&

cd ${BUILDDIR} &&
rm -rf gcc-${VERSION} gcc-build

